not able to publish data in multichain 2.0 ?

+2 votes

Hello Team ,

I have upgraded my multichain 1.0 alpha 10008 to multichain 2.0 protocol version 10009 but when i store json data into stream it throws me this error below.

chain1.0version: publish stream1 key3 '{"text":"hello world!"}'
{"method":"publish","params":["stream1","key3",{"text":"hello world!"}],"id":"94039354-1554400936","chain_name":"chain1.0version"}

error code: -8
error message:
data should be hexadecimal string for this protocol version


This is my getinfo output:

{"method":"getinfo","params":[],"id":"87826548-1554396356","chain_name":"chain1.0version"}

{
    "version" : "2.0",
    "nodeversion" : 20000901,
    "protocolversion" : 10009,
    "chainname" : "chain1.0version",
    "description" : "MultiChain chain1.0version",
    "protocol" : "multichain",
    "port" : 2655,
    "setupblocks" : 60,
    "nodeaddress" : "chain1.0version@192.168.1.39:2655",
    "burnaddress" : "1XXXXXXXMXXXXXXXrdXXXXXXWjXXXXXXXvXyNj",
    "incomingpaused" : false,
    "miningpaused" : false,
    "offchainpaused" : false,
    "walletversion" : 60000,
    "balance" : 0,
    "walletdbversion" : 2,
    "reindex" : false,
    "blocks" : 95,
    "timeoffset" : 0,
    "connections" : 0,
    "proxy" : "",
    "difficulty" : 5.96046447753906e-8,
    "testnet" : false,
    "keypoololdest" : 1554383021,
    "keypoolsize" : 2,
    "paytxfee" : 0,
    "relayfee" : 0,
    "errors" : ""
}

And also in my params.dat file protocol version is still 10008.

How can i troubleshoot this issue please help me to get resolve this.

 

Thanks
khetesh rotangan

asked Apr 4 by kheteshrotangan

1 Answer

+2 votes

You should upgrade your blockchain to protocol 20009 not 10009 if you want to take advantage of this new kind of functionality in MultiChain 2.0. Make sure all nodes are all running on 2.0 first.

answered Apr 4 by MultiChain
Thanks for your response ... But now i can post json data through command line but not via node js api methods can you please tell me why?

I am using this npm  library as multichain nodejs wrapper:

https://www.npmjs.com/package/multichain-node


Error:
[{"data":{"SSO_ID":"567","ALLERGY_CODE":"567","ALLERGY_DESCRIPTION":"test","IS_CURRENT":"yes","SINCE":"Day","SINCE_DURATION":2,"SEVERITY":"Mild","NOTES":"Testing","MEASURED_DATE":"05/04/2019","CONFIDENTIALITY_STATUS":"U/R"},"meta":{"submittedOn":"2019-04-05T08:00:33.479Z"},"ID":"14yxh895fju3s4o20"}]
errorrrr { code: -8,
  message: 'data should be hexadecimal string or recognized object' }

Please help me to get all updated mutichain node api methods fro publishing data and fetching etc.
Hii multichain Team,

Please update me regarding new nodejs wrapper so that i can resolve above .

Thanks
You should contact the developer of the used node.js wrapper.
You mean to say,Developer Who developed this node js wrapper version 1.0
https://github.com/scoin/multichain-node

But this is officially developed by multichain developers So how can i contact them.

I need upgraded node js api which support  multichain 2.0.

Thanks
Khetesh
This wrapper is not officially developed by MultiChain developers, but rather by Greg Piccolo: https://github.com/scoin
...